Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: glipper install error (1-click install; log attached)

Hybrid View

  1. #1
    Join Date
    Aug 2008
    Location
    /Linux/Userland
    Posts
    279

    Question glipper install error (1-click install; log attached)

    Tried to install glipper (gnome clipboard manager) thro' 1-click install from here:
    Software.openSUSE.org

    On clicking the link, the Yast Meta-package handler opened & after logging into Yast as root (p/w filled-in), it proceeded to add the repo's, etc. This was ok. Midway through the install, it gave the foll Error Message:


    ===================================================
    Subprocess failed. Error: RPM failed: error: failed to stat /var/lib/
    gdm/.gvfs: Permission denied
    /var/tmp/rpm-tmp.98000: line 1: /opt/gnome/bin/gconftool-2: No such
    file or directory
    /var/tmp/rpm-tmp.98000: line 2: /opt/gnome/bin/gconftool-2: No such
    file or directory
    error: %preun(glipper-1.0-2.1.i586) scriptlet failed, exit status 127

    ---
    error: %preun(glipper-1.0-2.1.i586) scriptlet failed, exit status 127

    2008-08-27 02:29:18 glipper-1.0-18.1.src.rpm installed ok
    2008-08-27 02:31:30 glipper-1.0-18.1.i586.rpm install failed
    rpm output:
    error: failed to stat /var/lib/gdm/.gvfs: Permission denied
    /var/tmp/rpm-tmp.98000: line 1: /opt/gnome/bin/gconftool-2: No such
    file or directory
    /var/tmp/rpm-tmp.98000: line 2: /opt/gnome/bin/gconftool-2: No such
    file or directory
    error: %preun(glipper-1.0-2.1.i586) scriptlet failed, exit status 127
    ===================================================

    Any idea how to trouble-shoot this?
    Linux User 483705 @ http://counter.li.org/

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,322
    Blog Entries
    15

    Default Re: glipper install error (1-click install; log attached)

    Quote Originally Posted by zmdmw52
    Tried to install glipper (gnome clipboard manager) thro' 1-click install
    from here:
    'Software.openSUSE.org' (http://tinyurl.com/59au8g)
    59au8g ->
    http://software.opensuse.org/search?...&p=1&q=glipper

    On clicking the link, the Yast Meta-package handler opened & after
    logging into Yast as root (p/w filled-in), it proceeded to add the
    repo's, etc. This was ok. Midway through the install, it gave the foll
    Error Message:

    ===================================================
    > Subprocess failed. Error: RPM failed: error: failed to stat /var/lib/
    > gdm/.gvfs: Permission denied
    > /var/tmp/rpm-tmp.98000: line 1: /opt/gnome/bin/gconftool-2: No such
    > file or directory
    > /var/tmp/rpm-tmp.98000: line 2: /opt/gnome/bin/gconftool-2: No such
    > file or directory
    > error: %preun(glipper-1.0-2.1.i586) scriptlet failed, exit status 127
    >
    > ---
    > error: %preun(glipper-1.0-2.1.i586) scriptlet failed, exit status 127
    >
    > 2008-08-27 02:29:18 glipper-1.0-18.1.src.rpm installed ok
    > 2008-08-27 02:31:30 glipper-1.0-18.1.i586.rpm install failed
    > rpm output:
    > error: failed to stat /var/lib/gdm/.gvfs: Permission denied
    > /var/tmp/rpm-tmp.98000: line 1: /opt/gnome/bin/gconftool-2: No such
    > file or directory
    > /var/tmp/rpm-tmp.98000: line 2: /opt/gnome/bin/gconftool-2: No such
    > file or directory
    > error: %preun(glipper-1.0-2.1.i586) scriptlet failed, exit status
    > 127===================================================


    Any idea how to trouble-shoot this?
    Hi
    If you search in YaST -> software -> software management and search for
    gconftool-2 and make sure the "RPM provides" checkbox is selected, you
    will find it's part of the gconf2 rpm, which you need to install.

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.11-0.1-default
    up 1 day 6:30, 2 users, load average: 0.15, 0.12, 0.12
    GPU GeForce 6600 TE/6200 TE - Driver Version: 173.14.12


  3. #3
    Join Date
    Aug 2008
    Location
    /Linux/Userland
    Posts
    279

    Default Re: glipper install error (1-click install; log attached)

    Quote Originally Posted by malcolmlewis View Post
    Hi
    If you search in YaST -> software -> software management and search for gconftool-2 and make sure the "RPM provides" checkbox is selected, you will find it's part of the gconf2 rpm, which you need to install.
    Can't find the gconftool-2 (all repos added).
    I already have the gconf2 installed (latest version). Can't find any 'RPM provides' checkbox, as I can't find gconftool-2.

    Should I re-install g-conf2 (re-install option is available) or is that risky?
    Linux User 483705 @ http://counter.li.org/

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,322
    Blog Entries
    15

    Default Re: glipper install error (1-click install; log attached)

    Quote Originally Posted by zmdmw52
    malcolmlewis;1862821 Wrote:
    > Hi
    > If you search in YaST -> software -> software management and search
    > for gconftool-2 and make sure the "RPM provides" checkbox is
    > selected, you will find it's part of the gconf2 rpm, which you need
    > to install.
    >


    Can't find the gconftool-2 (all repos added).
    I already have the gconf2 installed (latest version). Can't find any
    'RPM provides' checkbox, as I can't find gconftool-2.

    Should I re-install g-conf2 (re-install option is available) or is that
    risky?
    Hi
    Hmm, what about;
    Code:
    malcolml@kermit-opensuse:~> which gconftool-2
    /usr/bin/gconftool-2
    So it's looking in the wrong place for it...

    I would look at just downloading the rpm and using the command (as
    root);

    Code:
    rpm -Uhv <name_of_rpm>
    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.11-0.1-default
    up 1 day 7:44, 3 users, load average: 0.04, 0.19, 0.30
    GPU GeForce 6600 TE/6200 TE - Driver Version: 173.14.12


  5. #5
    Join Date
    Aug 2008
    Location
    /Linux/Userland
    Posts
    279

    Default Re: glipper install error (1-click install; log attached)

    Hi
    Hmm, what about;
    Code:
    malcolml@kermit-opensuse:~> which gconftool-2
    /usr/bin/gconftool-2
    So it's looking in the wrong place for it...
    Running above cmd from konsole, gave me the same output as your's (/usr/bin/gconftool-2); so that one is there in the right place. Tried copying gconftool-2 from konsole; bit it returned error that there was no such dir (/opt/gnome/bin/)

    Code:
    cp -v gconftool-2 /usr/bin/gconftool-2 /opt/gnome/bin/
    But I still can't 1-click install 'glipper'.

    Have downloaded the i586 RPM. How can one install from the RPM (tried right-click --> install with), but that did not help.

    There are 2 other files available (manual pkg d/l)-
    i586 glipper-1.0-18.1.i586.rpm src glipper-1.0-18.1.src.rpm

    Is there a way to install from these?
    Linux User 483705 @ http://counter.li.org/

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,322
    Blog Entries
    15

    Default Re: glipper install error (1-click install; log attached)

    Quote Originally Posted by zmdmw52

    > Hi
    > Hmm, what about;
    > Code:
    > malcolml@kermit-opensuse:~> which gconftool-2
    > /usr/bin/gconftool-2
    > So it's looking in the wrong place for it...


    Running above cmd from konsole, gave me the same
    output as your's (/usr/bin/gconftool-2); so that one is there in the
    right place. Tried copying gconftool-2 from konsole; bit it returned
    error that there was no such dir (/opt/gnome/bin/)


    Code:
    --------------------
    cp -v gconftool-2 /usr/bin/gconftool-2 /opt/gnome/bin/
    --------------------


    But I still can't 1-click install 'glipper'.

    Have downloaded the i586 RPM. How can one install from the RPM (tried
    right-click --> install with), but that did not help.

    There are 2 other files available (manual pkg d/l)-
    '
    ' (https://build.opensuse.org/project/s...ome:zdenekzapp)

    i586
    'glipper-1.0-18.1.i586.rpm' (http://tinyurl.com/6k7zxr)
    src 'glipper-1.0-18.1.src.rpm'
    (http://tinyurl.com/5kgvfn)

    Is there a way to install from these?
    Hi
    To install from the konsole (as previously posted );

    Code:
    rpm -Uhv <name_of_rpm>
    Generally I wouldn't just copy the program, look at creating a softlink.

    I'm assuming your using 64bit (x86_64), the other one i586 is for
    32bit, the src (source) rpm is the original that can be made into
    devel, i586, x86_64 versions using the rpmbuild command.

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.11-0.1-default
    up 1 day 19:37, 2 users, load average: 0.08, 0.04, 0.12
    GPU GeForce 6600 TE/6200 TE - Driver Version: 173.14.12


  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,322
    Blog Entries
    15

    Default Re: glipper install error (1-click install; log attached)

    Quote Originally Posted by zmdmw52

    > Hi
    > Hmm, what about;
    > Code:
    > malcolml@kermit-opensuse:~> which gconftool-2
    > /usr/bin/gconftool-2
    > So it's looking in the wrong place for it...


    Running above cmd from konsole, gave me the same
    output as your's (/usr/bin/gconftool-2); so that one is there in the
    right place. Tried copying gconftool-2 from konsole; bit it returned
    error that there was no such dir (/opt/gnome/bin/)


    Code:
    --------------------
    cp -v gconftool-2 /usr/bin/gconftool-2 /opt/gnome/bin/
    --------------------


    But I still can't 1-click install 'glipper'.

    Have downloaded the i586 RPM. How can one install from the RPM (tried
    right-click --> install with), but that did not help.

    There are 2 other files available (manual pkg d/l)-
    '
    ' (https://build.opensuse.org/project/s...ome:zdenekzapp)

    i586
    'glipper-1.0-18.1.i586.rpm' (http://tinyurl.com/6k7zxr)
    src 'glipper-1.0-18.1.src.rpm'
    (http://tinyurl.com/5kgvfn)

    Is there a way to install from these?

    Hi
    Not sure how you got on, but found that you need to install the
    opt_gnome-compat rpm to get the gconftool-2 and it creates
    the /opt/gnome file structure.

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.11-0.1-default
    up 12:09, 3 users, load average: 0.12, 0.39, 0.37
    GPU GeForce 6600 TE/6200 TE - Driver Version: 173.14.12


  8. #8
    Join Date
    Aug 2008
    Location
    /Linux/Userland
    Posts
    279

    Question Re: glipper install error (1-click install; log attached)

    I would look at just downloading the rpm and using the command (as root);

    Code:
    rpm -Uhv <name_of_rpm>
    Does this command have to be run from where (the directory) the rpm has been downloaded?

    I have 3 files (not for glipper, this is for codeblocks: Home) in the download directory:

    1) codeblocks-8.02-0.suse1030.i586.rpm (4.9 MB)
    2) codeblocks-contrib-8.02-0.suse1030.i586.rpm (3.4 MB)
    3) codeblocks-devel-8.02-0.suse1030.i586.rpm (160 KB)

    How can I install all 3? 1-click install from the opensuse build service could not install this.

    PS:
    These pkgs are specifically for openSUSE 11.0, as mentioned here:Download binary

    Thanks,
    Linux User 483705 @ http://counter.li.org/

  9. #9
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,322
    Blog Entries
    15

    Default Re: glipper install error (1-click install; log attached)

    Quote Originally Posted by zmdmw52

    > I would look at just downloading the rpm and using the command (as
    > root);
    >
    > Code:
    > rpm -Uhv <name_of_rpm>
    > Does this command have to be run from where (the directory) the rpm
    > has

    been downloaded?

    I have 3 files (not for glipper, this is for codeblocks: 'Home'
    (http://www.codeblocks.org/)) in the download directory:

    1) codeblocks-8.02-0.suse1030.i586.rpm (4.9 MB)
    2) codeblocks-contrib-8.02-0.suse1030.i586.rpm (3.4 MB)
    3) codeblocks-devel-8.02-0.suse1030.i586.rpm (160 KB)

    How can I install all 3? 1-click install from the opensuse build
    service could not install this.

    _PS_:
    These pkgs are specifically for openSUSE 11.0, as mentioned
    here:'Download binary' (http://www.codeblocks.org/downloads/5#linux)

    Thanks,
    Hi
    Just use a wildcard;

    Code:
    su -
    rpm -Uhv codeblocks*
    SuSEconfig
    exit
    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.11-0.1-default
    up 2 days 0:52, 2 users, load average: 0.07, 0.07, 0.11
    GPU GeForce 6600 TE/6200 TE - Driver Version: 173.14.12


  10. #10
    Join Date
    Aug 2008
    Location
    /Linux/Userland
    Posts
    279

    Question Re: glipper install error (1-click install; log attached)

    I opened the terminal in the directory in which I had downloaded the 3 files and ran the cmd- (after su - & p/w)
    Code:
    opSuSE-22Aug08:~ # rpm -Uhv codeblocks*
    It returned the following error-
    error: File not found by glob: codeblocks*
    Linux User 483705 @ http://counter.li.org/

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •